XFcPrimitiveDrawFiller class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawFiller Class Reference

A base class that defines interface for fillers that are used by XFcPrimitiveDraw. More...

Inheritance diagram for XFcPrimitiveDrawFiller:

[legend]
List of all members.

## Public Member Functions

virtual void | initFill ()=0
| Initializes the filler for rendering.
virtual void | deinitFill ()=0
| Deinitializes the filler after rendering.
virtual void | fill (INT32 aXStart, INT32 aXEnd, INT32 aY, UINT32 *aScanline)=0

## Detailed Description

A base class that defines interface for fillers that are used by XFcPrimitiveDraw.

## Member Function Documentation

virtual void XFcPrimitiveDrawFiller::deinitFill | ( |  | ) | `[pure virtual]`

| Deinitializes the filler after rendering. This should be called after calling fill() for the last filled span. Implemented in XFcPrimitiveDrawGradientFiller, XFcPrimitiveDrawImageFiller, and XFcPrimitiveDrawPatternFiller.

virtual void XFcPrimitiveDrawFiller::fill | ( | INT32 | aXStart,
|  | INT32 | aXEnd,
|  | INT32 | aY,
|  | UINT32 * | aScanline
| ) | `[pure virtual]`

| Fills aLength A8R8G8B8 pixels to a scanline. param aXStart the starting position on the scanline param aXEnd the ending position on the scanline param aY the y position of the scanline param aScanline the start of the scanline Implemented in XFcPrimitiveDrawLinearGradientFiller, XFcPrimitiveDrawRadialGradientFiller, XFcPrimitiveDrawImageFiller, and XFcPrimitiveDrawPatternFiller.

virtual void XFcPrimitiveDrawFiller::initFill | ( |  | ) | `[pure virtual]`

| Initializes the filler for rendering. This should be called before calling fill() for the first filled span. Implemented in XFcPrimitiveDrawGradientFiller, XFcPrimitiveDrawImageFiller, and XFcPrimitiveDrawPatternFiller.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch